## cadencii 3.3.9+svn20110818.r1732

=== PlaySound2/Makefile ===
all: PlaySound.dll PlaySound64.dll

PlaySound.dll: PlaySound2.h PlaySound2.cpp
	g++ -shared -s PlaySound2.cpp -o PlaySound.dll -lwinmm

PlaySound64.dll: PlaySound2.h PlaySound2.cpp
	gcc -shared -m64 -s PlaySound2.cpp -o PlaySound64.dll -lwinmm

install: PlaySound.dll PlaySound64.dll
	copy PlaySound.dll ..\Cadencii\bin\x86\Debug\PlaySound.dll
	copy PlaySound.dll ..\Cadencii\bin\x86\Release\PlaySound.dll

clean:
	del PlaySound.dll PlaySound64.dll

=== buildDefaultEnglishDictionary/Makefile ===
all: wordsFromDBFiles.exe makeMids.exe extractDictionary.exe diffWordsList.exe mergeWordsList.exe mergeAll.exe AutoLyricInsert.exe AutoLyricInsertPostProcess.exe

AutoLyricInsertPostProcess.exe: AutoLyricInsertPostProcess.cs
	gmcs AutoLyricInsertPostProcess.cs /r:org.kbinani.dll,org.kbinani.vsq.dll

wordsFromDBFiles.exe: wordsFromDBFiles.cs
	gmcs wordsFromDBFiles.cs

makeMids.exe: makeMids.cs
	gmcs makeMids.cs -r:org.kbinani.dll,org.kbinani.vsq.dll

extractDictionary.exe: extractDictionary.cs
	gmcs extractDictionary.cs -r:org.kbinani.dll,org.kbinani.vsq.dll

diffWordsList.exe: diffWordsList.cs
	gmcs diffWordsList.cs

mergeWordsList.exe: mergeWordsList.cs
	gmcs mergeWordsList.cs

mergeAll.exe: mergeAll.cs
	gmcs mergeAll.cs

AutoLyricInsert.exe: AutoLyricInsert.c
	gcc AutoLyricInsert.c -o AutoLyricInsert.exe

install: AutoLyricInsertPostProcess.exe
	copy AutoLyricInsertPostProcess.exe AutoLyricInsert\received\AutoLyricInsertPostProcess.exe
	copy org.kbinani.dll AutoLyricInsert\received\org.kbinani.dll
	copy org.kbinani.vsq.dll AutoLyricInsert\received\org.kbinani.vsq.dll

=== pp_cs2java/Makefile ===
SRC=pp_cs2java/BOMSkipFileInputStream.java \
        pp_cs2java/CommentPosition.java \
        pp_cs2java/Evaluator.java \
        pp_cs2java/Preprocessor.java \
        pp_cs2java/ReplaceMode.java \
        pp_cs2java/SourceText.java \
        pp_cs2java/str.java \
        pp_cs2java/util.java

pp_cs2java.jar: $(SRC)
	javac $(SRC) -encoding UTF8
	jar cfm pp_cs2java.jar pp_cs2java.mf pp_cs2java/*.class
	cp pp_cs2java.jar ../

clean:
	rm pp_cs2java.jar
	rm pp_cs2java/*.class
	rm ../pp_cs2java.jar

=== Cadencii/manual/Makefile ===
all: cadencii.pdf tech_memo.pdf

tech_memo.tex: tech_memo_scroll.tex tech_memo_synth_system.tex tech_memo_class-depend_vsq.tex tech_memo_checklist.tex

tech_memo.pdf: tech_memo.dvi
	dvipdfmx tech_memo.dvi

tech_memo.dvi: tech_memo.tex tech_memo.toc
	platex tech_memo.tex

tech_memo.toc: tech_memo.tex
	platex tech_memo.tex

cadencii.pdf: cadencii.dvi
	dvipdfmx cadencii.dvi

cadencii.dvi: cadencii.tex cadencii.toc
	platex cadencii.tex

cadencii.toc: cadencii.tex
	platex cadencii.tex

clean:
	rm cadencii.pdf cadencii.dvi cadencii.toc tech_memo.pdf tech_memo.dvi tech_memo.toc

=== debian/changelog ===
cadencii (3.3.9+svn20110818.r1732-7) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Maintain package in Debian Java team
    Closes: #1116688
  * Point Homepage to web archive
  * Build-Depends: s/default-jdk/default-jdk-headless/
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Do not parse d/changelog (routine-update)
  * Update lintian override info format in d/source/lintian-overrides
  * d/watch: Fake watch file since upstream source vanished
  * Remove duplicates in lintian-overrides
  * d/copyright: No need to specify FSF address

  [ наб ]
  * d/p/0006: Allow overriding CP/RM/MKDIR in Makefile
  * d/rules: drive upstream clean target right
  * d/rules, d/clean: clean build/java/ with d/clean
  * d/rules: run make first before the build to pre-make directories
    Closes: #1105251

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 01 Sep 2025 19:47:57 +0200

cadencii (3.3.9+svn20110818.r1732-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed the build failure with Java 21 (Closes: #1053014)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 21 Nov 2023 11:09:13 +0100

cadencii (3.3.9+svn20110818.r1732-6.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 18:51:00 +0100

cadencii (3.3.9+svn20110818.r1732-6) unstable; urgency=low

  [ Markus Koschany <apo@debian.org> ]
  * Fix FTBFS with Java 9. (Closes: #873972)

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Fix upstream URL and copyright file
  * More lintian-overrides about missing source of javascript code.
    - It is source but just with a long data line.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 23 Apr 2018 03:15:19 +0800

cadencii (3.3.9+svn20110818.r1732-5) unstable; urgency=low

  * make the build reproducible (Closes: #826677)
    - add debian/patches/04-reproducible-build.patch
    - Thanks to Chris Lamb <lamby@debian.org>
  * Bump Standards-Version to 3.9.8: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 16 Aug 2016 22:57:18 +0800

cadencii (3.3.9+svn20110818.r1732-4) unstable; urgency=low

  * Add debian/patches/03-java8-compatibility.patch: port to Java8.
    (Closes: #745080)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 23 May 2015 18:45:52 +0800

cadencii (3.3.9+svn20110818.r1732-3) unstable; urgency=low

  * Add debian/patches/02-vconnect.patch: Patch for vconnect
  * Bump Standards-Version to 3.9.6: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 12 May 2015 23:35:48 +0800

cadencii (3.3.9+svn20110818.r1732-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3: nothing needs to be changed
  * Bump debhelper compat to 9
  * Update debian/copyright to latest v1.0 format
  * Add debian/patches/01-svn-r1744.patch: fix config path in user home

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 27 Jun 2012 22:39:54 +0800

cadencii (3.3.9+svn20110818.r1732-1) unstable; urgency=low

  * Initial release (Closes: #641175)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 11 Sep 2011 19:48:49 +0800

=== debian/control ===
Source: cadencii
Section: sound
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper-compat (= 13), javahelper, default-jdk-headless,
               xsltproc, docbook-xsl
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/java-team/cadencii
Vcs-Git: https://salsa.debian.org/java-team/cadencii.git
Homepage: https://web.archive.org/web/20250331150549/https://osdn.net/projects/cadencii/

Package: jcadencii
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}, default-jre | java-runtime | java2-runtime
Suggests: wine
Description: Piano roll editor for singing synthesis
 Cadencii is a multi-track piano roll editor for MacOS and Windows. It is
 designed for editing lyrics for singing and supports VOCALOID, VOCALOID2,
 UTAU, WORLD, AquesTone engines for synthesis.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

export RM    = rm -f
export MKDIR = mkdir -p

include /usr/share/dpkg/default.mk
SVN_URL = http://svn.sourceforge.jp/svnroot/cadencii/Cadencii/trunk

%:
	dh $@ --with javahelper

override_dh_auto_configure:
	sh ./configure

override_dh_auto_build: jcadencii.1
	$(MAKE) first
	$(MAKE) jcadencii

jcadencii.1: debian/jcadencii.xml
	$(XP) $(DB2MAN) $<

get-orig-source::
	set -e; if echo $(DEB_VERSION) | grep -c "svn"; \
	then \
		svn_version=`echo $(DEB_VERSION) | sed -e 's/^.*svn\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
	else \
		svn_version=$(DEB_VERSION_UPSTREAM); \
	fi; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
	echo "checkout upstream repository ..."; \
	svn checkout -r $$svn_version $(SVN_URL) cadencii; echo "getting specific upstream revision/tag: $$svn_version"; \
	tar --exclude=.svn -czvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz `ls | head -n 1`; \
	cd $(CURDIR); \
	rm -rf $$tmpdir

=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Site/ \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz

#opts="dversionmangle=s/(.git|.svn)\d*\.r\d*$//" \
# https://osdn.net/projects/cadencii/releases/ \
# /projects/cadencii/downloads/.*/Cadencii_v(.*)\.zip.*
